Skip to main content
`Ctrl`+`K`

# DSNEPGetIntegrationPoints

Returns the number of integration points used in the contour integral method.

## Synopsis

    #include "slepcds.h"
    PetscErrorCode DSNEPGetIntegrationPoints(DS ds,PetscInt *ip)

Not Collective

## Input Parameter

- ds - the direct solver context

## Output Parameter

- ip - the number of integration points

## See Also

DS: Direct Solver (or Dense System), `DSNEP`, `DSNEPSetIntegrationPoints()`

## Level

advanced

## Location

src/sys/classes/ds/impls/nep/dsnep.c

## Implementations

DSNEPGetIntegrationPoints_NEP() in src/sys/classes/ds/impls/nep/dsnep.c

Index of all DS routines Table of Contents for all manual pages Index of all manual pages